Skip to content

https://api.kustom.co/elements/v1/clients/{clientId}

Updates client details while enforcing merchant ownership.

Parameters1 field
  • clientIdstringrequiredin path

    Client identifier

Request body21 fields
  • idstringoptional

    Unique identifier for the client.

  • merchant_idstringoptional

    The ID of the merchant that owns the client.

  • allowed_origins[]array<string>optional

    Browser origins permitted to use this client.

  • namestringoptional

    Friendly name shown in the portal.

  • placements[]array<object>optional

    Placements configured for this client.

    14 fields in placements
    • keystringoptional

      Placement key configured for the client.

    • custom_stylesstringoptional

      Optional CSS that will be injected into the placement container.

    • content[]array<object>optional

      Information required to render the placement.

      4 fields in content
      • typestringoptional

        Type of placement content.

        • PAYMENT_METHOD
        • EXTERNAL_PAYMENT_METHOD
        • DELIVERY_CARRIER
        • EXPRESS_CHECKOUT
      • namestringoptional

        The name of the content.

        • STRIPE_PUBLIC_API_KEY
        • STRIPE_ACCOUNT_ID
        • NONE
      • valuestringoptional

        The value of the content.

      • imageUrlstring · urioptional

        The URL for the image to be rendered.

    • express_configobjectoptional

      The configuration for the Express checkout flow.

      6 fields in express_config
      • push_urlstringrequired

        URL that will be used for push notification when an order is completed. Should be different than checkout and confirmation URLs. (max 2000 characters) Example: “https://merchant.com/push”

      • validation_urlstringoptional

        URL that will be requested for final merchant validation. (must be https, max 2000 characters) Example: “https://merchant.com/validation”

      • confirmation_urlstringrequired

        URL of the merchant confirmation page. The consumer will be redirected back to the confirmation page if the authorization is successful after the customer clicks on the ‘Place Order’ button inside checkout. The special characters of the confirmation URL should be encoded, e.g. the “space” character should be written as “%20”. Then, on top of that, the whole confirmation URL should be encoded. E.g. the “space” character should become “%2520”. (max 2000 characters) Example: “https://merchant.com/confirmation.html”

      • payment_methods[]array<object>optional

        An ordered list of payment methods and how they should be offered in the express checkout.

        2 fields in payment_methods
        • methodstringoptional
          • AMAZON_PAY
          • APPLE_PAY
          • GOOGLE_PAY
          • KLARNA
          • PAYPAL
          • UNKNOWN
        • providerstringoptional
          • STRIPE
          • PAYPAL
  • created_atstring · date-timeoptional

    Time when the client was created.

  • updated_atstring · date-timeoptional

    Time when the client was last updated.

200
Response21 fields

OK

  • idstringoptional

    Unique identifier for the client.

  • merchant_idstringoptional

    The ID of the merchant that owns the client.

  • allowed_origins[]array<string>optional

    Browser origins permitted to use this client.

  • namestringoptional

    Friendly name shown in the portal.

  • placements[]array<object>optional

    Placements configured for this client.

    14 fields in placements
    • keystringoptional

      Placement key configured for the client.

    • custom_stylesstringoptional

      Optional CSS that will be injected into the placement container.

    • content[]array<object>optional

      Information required to render the placement.

      4 fields in content
      • typestringoptional

        Type of placement content.

        • PAYMENT_METHOD
        • EXTERNAL_PAYMENT_METHOD
        • DELIVERY_CARRIER
        • EXPRESS_CHECKOUT
      • namestringoptional

        The name of the content.

        • STRIPE_PUBLIC_API_KEY
        • STRIPE_ACCOUNT_ID
        • NONE
      • valuestringoptional

        The value of the content.

      • imageUrlstring · urioptional

        The URL for the image to be rendered.

    • express_configobjectoptional

      The configuration for the Express checkout flow.

      6 fields in express_config
      • push_urlstringrequired

        URL that will be used for push notification when an order is completed. Should be different than checkout and confirmation URLs. (max 2000 characters) Example: “https://merchant.com/push”

      • validation_urlstringoptional

        URL that will be requested for final merchant validation. (must be https, max 2000 characters) Example: “https://merchant.com/validation”

      • confirmation_urlstringrequired

        URL of the merchant confirmation page. The consumer will be redirected back to the confirmation page if the authorization is successful after the customer clicks on the ‘Place Order’ button inside checkout. The special characters of the confirmation URL should be encoded, e.g. the “space” character should be written as “%20”. Then, on top of that, the whole confirmation URL should be encoded. E.g. the “space” character should become “%2520”. (max 2000 characters) Example: “https://merchant.com/confirmation.html”

      • payment_methods[]array<object>optional

        An ordered list of payment methods and how they should be offered in the express checkout.

        2 fields in payment_methods
        • methodstringoptional
          • AMAZON_PAY
          • APPLE_PAY
          • GOOGLE_PAY
          • KLARNA
          • PAYPAL
          • UNKNOWN
        • providerstringoptional
          • STRIPE
          • PAYPAL
  • created_atstring · date-timeoptional

    Time when the client was created.

  • updated_atstring · date-timeoptional

    Time when the client was last updated.

400
Response4 fields

Bad Request

  • messagestringoptional
  • additional_contextobjectoptional
    1 field in additional_context
    • keystringoptional

      Any additional property. The key is free-form; the value has this shape.

  • codestringoptional
    • CLIENT_NOT_FOUND
    • ORIGIN_NOT_ALLOWED
    • HTTP_CLIENT_ERROR
    • HTTP_SERVER_ERROR
    • DOMAIN_NOT_WHITELISTED
    • PLACEMENT_CONFIG_MISSING
    • ARGUMENT_NOT_VALID
    • CONSTRAINT_VIOLATION
    • PROFILE_DOESNT_BELONG_TO_MERCHANT
    • MERCHANT_NOT_FOUND
401
Response4 fields

Unauthorized

  • messagestringoptional
  • additional_contextobjectoptional
    1 field in additional_context
    • keystringoptional

      Any additional property. The key is free-form; the value has this shape.

  • codestringoptional
    • CLIENT_NOT_FOUND
    • ORIGIN_NOT_ALLOWED
    • HTTP_CLIENT_ERROR
    • HTTP_SERVER_ERROR
    • DOMAIN_NOT_WHITELISTED
    • PLACEMENT_CONFIG_MISSING
    • ARGUMENT_NOT_VALID
    • CONSTRAINT_VIOLATION
    • PROFILE_DOESNT_BELONG_TO_MERCHANT
    • MERCHANT_NOT_FOUND
502
Response4 fields

Bad Gateway

  • messagestringoptional
  • additional_contextobjectoptional
    1 field in additional_context
    • keystringoptional

      Any additional property. The key is free-form; the value has this shape.

  • codestringoptional
    • CLIENT_NOT_FOUND
    • ORIGIN_NOT_ALLOWED
    • HTTP_CLIENT_ERROR
    • HTTP_SERVER_ERROR
    • DOMAIN_NOT_WHITELISTED
    • PLACEMENT_CONFIG_MISSING
    • ARGUMENT_NOT_VALID
    • CONSTRAINT_VIOLATION
    • PROFILE_DOESNT_BELONG_TO_MERCHANT
    • MERCHANT_NOT_FOUND

This page is also available as Markdown — append .md to its URL — and is indexed in llms.txt.